package com.xhkjedu.sexam.controller.paperstudent;

import com.xhkjedu.sexam.model.paper.EPaper;
import com.xhkjedu.sexam.model.paperstudent.EPaperStudent;
import com.xhkjedu.sexam.service.paperstudent.EPaperStudentService;
import com.xhkjedu.utils.N_Utils;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @Description 学生考试
 * @Author WN
 * Date 2022/7/26 13:34
 **/
@RestController
@RequestMapping("/eps")
public class EPaperStudentController {
    @Resource
    private EPaperStudentService ePaperStudentService;

    //学生考试列表
    @PostMapping("/list")
    public ResultVo listExamPapersForStudent(@RequestBody EPaperStudent eps){
        N_Utils.validation(new Object[]{eps.getStudentid(),"学生id",1});
        List<Map> rtnlst = ePaperStudentService.listExamPaperForStudent(eps);
        return new ResultVo(0,"成功获取考试列表",rtnlst);
    }


}
